/* drawing (DXF) to G-code (NGC) converter
 * Copyright 2013 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft: CC-BY-SA http://creativecommons.org/licenses/by-sa/3.0/
 */

#ifndef SETTINGS_H
#define SETTINGS_H

/// settings for creation of G-code
class Settings {
public:
  /// set some reasonable/safe default settings
  Settings();

  double base_z;        ///< z coordinate of workpiece surface
  double cut_z;         ///< z coordinate of maximum cutting
  double cut_z_step;    ///< z coordinate difference to cut in one step, > 0.0
  double feed_drill;    ///< feed rate for drilling
  double feed_mill;     ///< feed rate for milling
  double move_z;        ///< z coordinate for moving
  double precision;     ///< precision, >= 1.0e-8 , <= 1.0
  double tool_diameter; ///< diameter of cutting tool, >= 0.0
};

#endif // #ifndef SETTINGS_H

